<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer;
  $fecha_pedido=extraerfechamysql($fecha_pedido);
  $result=$objPer->getNumCombus('correlativo_combus');
  $reg=$objPer->NextRow1($result);
  
	if($cantidad<=$saldoact_alma1){
	
	/*$id_ultimo=$objPer->registrarPedidoAlma($dociden_res,$fecha_pedido,$hora_pedido,$cantidad,$obser);
	$objPer->registrarDetPedidoAlma($id_ultimo,$id_combus,$cantidad,$fecha_pedido,$hora_pedido);*/	
	
	while(list($clave,$valor)=each($pedidoc)){
		$id_combus=$valor[0];
		$cantidad=$valor[1];
		$um=$valor[2];
		$detalle_uso=$valor[3];
		
		$resultados=$objPer->getCombusAlmaSaldos($id_combus);
		$fila=$objPer->NextRow1($resultados);
		
		//$saldoact_alma=$saldoact_alma1-$cantidad;	
		$saldoact_alma=$fila['saldoact_alma']-$cantidad;
		$ultimo=$objPer->registrarAlmaSal01($id_combus,$fecha_pedido,$hora_pedido,'S',$fila['saldoact_alma'],$cantidad,$saldoact_alma,$detalle_uso,$destino,$obser1,$motivo,$um,$dociden_res,$reg['valor']); 
		$ultimoid[]=array($ultimo);
		$objPer->UpdateCombus($id_combus,$saldoact_alma); 
	}
	$objPer->UpdateParametro('correlativo_combus',$reg['valor']);
	//Redirigir("../cvp_ingreini_combus_alma.php");
	$num_combus=$reg['valor'];
	Redirigir("../dir_print1.php?num_combus=$num_combus");
  	}else{
	Redirigir("cvp_mensaje_inv_combus_existe.php?nombres=$nombres&dociden_per=$dociden_per&fecha_pedido=$fecha_pedido&cantidad=$cantidad&id_combus=$id_combus&id_mov=$id_mov&saldoact_alma=$saldoact_alma");
	}
  
?>